QGIS Application - Bug report #11124
Double-clicking layer checkbox opens Layer Properies
2014-09-01 01:44 PM - Neil Freeman

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.4.0 Regression?: No
Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 19453
Description

Double-clicking on a layer's name in the layers panel opens the Layer Properties dialog box. This is normal and expected behavior.
However, double-clicking on the layer's checkbox also opens the Layer Properties dialog. The expected behavior clicking on a checkbox
is to toggle a state, not to cause an operation to occur. In fact, there are many occasions when a user might want to click twice quickly on
the checkbox. The current behavior means a user must wait about a second before toggling a layer's visibility.

This is in QGIS 2.4.0 and previous versions.

History

#1 - 2014-10-04 01:09 AM - Giovanni Manghi
- Status changed from Open to Closed
- Resolution set to fixed/implemented

It does not seems to be anymore the case in qgis master (aka 2.6) where the legend was completely overhauled.

Please reopen if necessary.

#2 - 2017-03-23 07:44 AM - Neil Freeman

- Status changed from Closed to Reopened

This is still an issue. Clcking on the checkbox shouldn't trigger opening properties. Under the current situation, clicks on the checkbox have two possible
meanings: open the properties modal, or toggle the layer. This is confusing and complicated, and reduces the functionality of the program.

#3 - 2017-05-01 01:08 AM - Giovanni Manghi
- Regression? set to No
- Easy fix? set to No

#4 - 2017-09-22 10:07 AM - Jiirgen Fischer
- Category set to Unknown

#5 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution changed from fixed/implemented to end of life
- Status changed from Reopened to Closed
End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/
